# opentl::cvprocess::DisparityMapGPU Class Reference

Class for computing the disparity map of two stereo images. More...

List of all members.

## Public Member Functions
void | adjustProjMat ()
| TODO: required for rectification of input images.
void | copyDispMapToCpu (opentl::core::cvdata::Image *dstDispMap)
| Copy disparity map from GPU to CPU memory.
| DisparityMapGPU (bool inputImagesAreRectified)
| Constructor.
void | initialize ()
| Function for initialization, which needs to be called after the constructor.
int | setPointersToInputImagesFromCpu (opentl::core::cvdata::Image **leftImg, opentl::core::cvdata::Image **rightImg)
| Define CPU based source images.
void | updateCameraParams ()
| TODO: required for rectification of input images.
int | updateMap (int rangeLow, int rangeHigh, int useMaxMipLevel, bool useLensDistCorr=false)
| Compute disparity map and set required parameters.
virtual | ~DisparityMapGPU ()

## Detailed Description

Class for computing the disparity map of two stereo images.

Author:
  Erwin Roth <erwn.roth@weihenstephan.org>

## Constructor & Destructor Documentation

opentl::cvprocess::DisparityMapGPU::DisparityMapGPU | ( | bool | inputImagesAreRectified | ) |

Constructor.

Parameters:

  | inputImagesAreRectified | Set to false, if images need to be rectified. TODO: rectification is till now not working!

virtual opentl::cvprocess::DisparityMapGPU::~DisparityMapGPU | ( |  | ) | `[virtual]`

## Member Function Documentation

void opentl::cvprocess::DisparityMapGPU::adjustProjMat | ( |  | ) |

TODO: required for rectification of input images.

void opentl::cvprocess::DisparityMapGPU::copyDispMapToCpu | ( | opentl::core::cvdata::Image * | dstDispMap | ) |

Copy disparity map from GPU to CPU memory.

void opentl::cvprocess::DisparityMapGPU::initialize | ( |  | ) |

Function for initialization, which needs to be called after the constructor.

int opentl::cvprocess::DisparityMapGPU::setPointersToInputImagesFromCpu | ( | opentl::core::cvdata::Image ** | leftImg,
|  | opentl::core::cvdata::Image ** | rightImg |
| ) |  |  |

Define CPU based source images.

Parameters:

  | leftImg | Left RGB image
  | rightImg | Right RGB image

ATTENTION: Don't use for images >= 1024x768! it needs to be further optimized for this!!

void opentl::cvprocess::DisparityMapGPU::updateCameraParams | ( |  | ) |

TODO: required for rectification of input images.

int opentl::cvprocess::DisparityMapGPU::updateMap | ( | int | rangeLow,
|  | int | rangeHigh,
|  | int | useMaxMipLevel,
|  | bool | useLensDistCorr = `false` |
| ) |  |  |

Compute disparity map and set required parameters.

Parameters:

  | rangeLow | lowest pixel deviation of input images
  | rangeHigh | highest pixel deviation of input images
  | useMaxMipLevel | Add values up to this mip level
  | useLensDistCorr | Flag to use lense distortion correction